# モジュール読み込み ******************************************************
import time
import subprocess
# ｔime:時間に関するPython標準モジュールです。
# subproces:プロセス管理に関するPython標準モジュールです。

# CPU異常検知　温度監視　***************************************************
cpu_temp = 0  # CPU温度
# 変数を定義します。


def siro_cpu_temp():
    # CPU温度を取得する関数を定義しています。

    global cpu_temp

    cmd = "vcgencmd measure_temp"
    # Raspberry PiのCPU温度を調べるコマンドです。

    result = subprocess.check_output(cmd.split())
    # コマンドを実行してその結果を取得しています。

    result = result.decode("utf-8")
    # コマンド実行結果をデコードして文字列に変換しています。

    index = result.find('temp=')
    index2 = result.find("'")
    cpu_temp = float(result[index+5:index2])
    # 文字列 temp=xx.x’℃　から数字部分xx.xを抽出して最後にfroatで文字列を数値に変換しています。


# メイン処理 *************************************************************
try:
    while True:
        siro_cpu_temp()
        # 定義した関数を使ってCPU温度を取得します。

        print("cpu_temp:", cpu_temp, "℃")
        # CPU温度を表示します。

        time.sleep(3)
        # ３秒ごとに実行します。

# 終了処理 **************************************************************
# Ctrl + C キーボード割り込み
except KeyboardInterrupt as reigai:
    print("Ctrl C ........")

finally:  # 終了処理
    print("SIRO stopping............")

# End of program ●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●
