# モジュール読み込み ******************************************************
import time
from grove_gesture_sensor import *
# ｔime: 時間に関するPython標準モジュールです。
# grove_gesture_sensor:GitHub（https://github.com/DexterInd/GrovePi/tree/master/Software/Python/grove_gesture_sensor）に公開されているPythonモジュールです。
# プロジェクトフォルダ（筆者の場合は/home/kuro/kurosSIRO）に保存します。

# ジェスチャー認識 ********************************************************
g = gesture()
g.init()
# gestureクラスのインスタンス生成、初期化を行っています。

# メイン処理   ***********************************************************
try:
    while True:

        print("ジェスチャー認識中")

        gesture_result = g.return_gesture()
        # クラスメソッドを使ってセンサからジェスチャー入力を読み込んでいます。
        # ジェスチャーを検知するとジェスチャーの種類に応じた1～9の数字が返ってきます。ジェスチャー未検知の場合は 0 が返ってきます。
        # 	0:nothing
        # 	1:Forward
        # 	2:Backward
        # 	3:Right
        # 	4:Left
        # 	5:Up
        # 	6:Down
        # 	7:Clockwise
        # 	8:anti-clockwise
        # 	9:wave

        if (gesture_result == 1):
            print("まえ")
        elif (gesture_result == 2):
            print("うしろ")
        elif (gesture_result == 3):
            print("みぎ")
        elif (gesture_result == 4):
            print("ひだり")
        elif (gesture_result == 5):
            print("うえ")
        elif (gesture_result == 6):
            print("した")
        elif (gesture_result == 7):
            print("とけいまわり")
        elif (gesture_result == 8):
            print("反とけいまわり")
        elif (gesture_result == 9):
            print("うぇいぶ〜")
        # 検知したジェスチャーを表示しています。

        time.sleep(1)
        # 1秒ごとにジェスチャー入力の有無を確認します。

# 終了処理 **************************************************************
# Ctrl + C キーボード割り込み
except KeyboardInterrupt as reigai:
    print("Ctrl C ........")

finally:  # 終了処理
    print("SIRO stopping............")

# End of program ●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■
