# モジュール読み込み ******************************************************
import pandas
import csv
# pandas : データの処理及び分析を用意にするPythonモジュールです。今回はCSVの読み込みに使用。
# csv : CSVデータ読み書きに使用するPython標準モジュールです。今回はCSVの書き込みに使用。

# ロボットの記憶 **********************************************************
# パーソナルデータ *****************
personal_data = pandas.read_csv('/home/kuro/kurosSIRO/data/personal.csv', header=0).values.tolist()
# pandasを使ってCSVデータを配列で読み込みます。

name = [""]*len(personal_data)  # 名前　
yobi = [""]*len(personal_data)  # よびかた　
suki = [0]*len(personal_data)  # 好感度
for i in range(len(personal_data)):
    name[i] = personal_data[i][1]
    yobi[i] = personal_data[i][2]
    suki[i] = int(personal_data[i][3])
# パーソナルデータはプログラム中で使用しやすい様に別の変数名に変換します。。
# また、suki好感度は数値パラメータなので数値として扱える様に整数型に変換しています。

# 週の予定 ************************
schedule1_data = pandas.read_csv('/home/kuro/kurosSIRO/data/schedule1.csv', header=0).values.tolist()
# 同様にpandasを使ってCSVデータを配列で読み込みます。

# 日別の予定 ***********************
schedule2_data = pandas.read_csv('/home/kuro/kurosSIRO/data/schedule2.csv', header=0).values.tolist()
# 同様にpandasを使ってCSVデータを配列で読み込みます。

# メイン処理 *************************************************************
try:
    print(personal_data)
    print(schedule1_data)
    print(schedule2_data)
    # 読み込んだデータを表示して確認します。

    suki[0] = 100
    suki[1] = 90
    suki[2] = 20
    suki[3] = 30
    # プログラム中で数値パラメータを編集します。

# 終了処理 **************************************************************
# Ctrl + C キーボード割り込み
except KeyboardInterrupt as reigai:
    print("Ctrl C ........")

finally:  # 終了処理
    print("SIRO stopping............")

    for i in range(len(personal_data)):
        personal_data[i][3] = str(suki[i])
    # 数値パラメータの編集を反映します。

    f = open("/home/kuro/kurosSIRO/data/personal.csv", 'w')
    dataWriter = csv.writer(f)
    f.write("ID,名前,呼び方,好き％\n")
    dataWriter.writerows(personal_data)
    f.close()
    # パーソナルデータを元のCSVファイルに書き込んで編集箇所を反映させます。

# End of program ●▲■●▲■●▲■●▲■■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲
