# モジュール読み込み ******************************************************
import time
import subprocess
# ｔime: 時間に関するPython標準モジュール
# subproces：プロセス管理に関するPython標準モジュールです。

# radiko 視聴 **********************************************************
radiko_ch = 0
# チャンネル選択用の変数です。

radiko_ch_list = ["KISSFMKOBE", "802", "CCL"]
# チャンネルリストです。
# radikoで無料聴取できるのはネット接続したエリア内の放送局です。筆者の場合は兵庫県の3局になります。

radio_vol = 70
# ラジオの音量 50-100 で調整


def siro_radio(command):
    # radikoの再生、停止を行う関数です。

    global radio_proc, radiko_ch, radiko_ch_list

    if (command == "start"):
        # 引数commandが”start”なら再生します。

        cmd = "bash /home/kuro/kurosSIRO/play_radiko.sh -t radiko -s " + radiko_ch_list[radiko_ch]
        # radiko再生用シェルスクリプトを起動するコマンドです。変数radiko_chを使ってチャンネルを指定しています。

        radio_proc = subprocess.Popen(cmd.split())
        # subprocess.Popenを使って並列処理の子プロセスとしてシェルスクリプトを実行しています。
        # ラジオを停止（子プロセスをKILL）する際にプロセスIDが必要となるので
        # 戻り値のオブジェクトをグローバル変数radio_procに保存しておきます。

    elif (command == "stop"):
        # 引数commandが”stop”なら停止します。

        cmd = "ps ho pid --ppid=" + str(radio_proc.pid)
        # 親プロセスPID（プロセス番号）を指定してその子プロセスのPIDを表示させるコマンドです。

        proc2 = subprocess.Popen(cmd.split(), stdout=subprocess.PIPE)
        proc2.wait()
        # subprocess.Popenを使ってコマンドを実行しています。

        for line in proc2.stdout:
            cmd = 'kill -s SIGINT ' + line.decode()
            subprocess.call(cmd.split())
            # 子プロセスのPIDを1つ1つ指定してKILLします。

        cmd = 'kill -s SIGKILL ' + str(radio_proc.pid)
        subprocess.call(cmd.split())
        # 子プロセスのKILLが終わったら最後に親プロセス（シェルスクリプト）をKILLします。


# メイン処理 *************************************************************
try:
    while True:

        radiko_ch = 0
        siro_radio("start")
        time.sleep(10)
        siro_radio("stop")

        radiko_ch = 1
        siro_radio("start")
        time.sleep(10)
        siro_radio("stop")

        radiko_ch = 2
        siro_radio("start")
        time.sleep(10)
        siro_radio("stop")
        # 10秒ごとに放送局を変えてradikoの再生、停止を行っています。

# 終了処理　**************************************************************
# Ctrl + C キーボード割り込み
except KeyboardInterrupt as reigai:
    print("Ctrl C ........")

finally:  # 終了処理
    print("SIRO stopping............")

# End of program ●▲■●▲■●▲■●▲■■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■
