# モジュール読み込み ******************************************************
import time
import subprocess
# ｔime: 時間に関するPython標準モジュールです。
# subproces：プロセス管理に関するPython標準モジュールです。

sp_vol = 50  # スピーカー音量 50~100で調整
# スピーカー音量を調整するためのパラメータを定義しています。


# サウンド再生　**********************************************************
def siro_sound(sound):
    # サウンド再生用の関数を定義しています。引数soundで音源を選択してmpg321で再生します。

    global sp_vol

    if (sound == "ごきげん"):
        # 引数soundで再生する音源を指定します。

        cmd = "amixer cset numid=3 "+str(sp_vol*0.6)+"%"  # 音量set
        subprocess.call(cmd.split())
        # amixer（標準コマンド）を使ってスピーカー音量を設定しています。
        # パラメータsp_volに係数をかけて音源毎に音量を微調整しています。ここでは0.6掛けしています。
        # subprocess.callでコマンドを実行しています。

        cmd = "mpg321 /home/kuro/kurosSIRO/data/sound/R2D2_1.mp3"  # 音声ファイル再生
        subprocess.call(cmd.split())
        # 音声ファイルを指定してmpg321で再生しています。
        # subprocess.callでコマンドを実行しています。

    # 同様に音源を追加します。

    elif (sound == "はと"):
        cmd = "amixer cset numid=3 "+str(sp_vol*0.9)+"%"
        subprocess.call(cmd.split())
        cmd = "mpg321 /home/kuro/kurosSIRO/data/sound/hatodokei.mp3"
        subprocess.call(cmd.split())
    elif (sound == "カメラ"):
        cmd = "amixer cset numid=3 "+str(sp_vol*0.9)+"%"
        subprocess.call(cmd.split())
        cmd = "mpg321 /home/kuro/kurosSIRO/data/sound/camera.mp3"
        subprocess.call(cmd.split())


# メイン処理  ************************************************************
try:
    while True:

        siro_sound("ごきげん")
        siro_sound("はと")
        siro_sound("カメラ")
        siro_sound("メッセージ消去")
        siro_sound("ピー")
        siro_sound("タイマー")
        # 定義した関数siro_sound(sound)を使ってSIROにサウンド再生させます。

        time.sleep(3)
        # 3秒毎に実行します。


# 終了処理 **************************************************************
# Ctrl + C キーボード割り込み
except KeyboardInterrupt as reigai:
    print("Ctrl C ........")

finally:  # 終了処理
    print("SIRO stopping............")

# End of program ●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲■●▲
